{"openapi":"3.0.0","info":{"title":"360-Portfolio","description":"This API is part of the 360F API suite providing access to all portfolio related functionalities","contact":{"name":"Sirimevan Jayasundera","email":"siri.jayasundera@360f.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"version":"1.0.0"},"servers":[{"url":"https://api-portal-demo.360f.com/portfolio"}],"paths":{"/portfolio":{"post":{"tags":["portfolio"],"summary":"Requests the creation of a new portfolio.","description":"This endpoint requests the creation of a new portfolio. The portfolio will be in draft state until approved. Requestor can specify allocations of the portfolio along with other parameters","operationId":"createPortfolio","parameters":[{"$ref":"#/components/parameters/languagePost"},{"$ref":"#/components/parameters/currencyPost"},{"$ref":"#/components/parameters/tenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/portfolioInformation"}}}},"responses":{"200":{"description":"Request to create new portfolio received successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/portfolioInformation"}}}}}},"get":{"tags":["portfolio"],"summary":"Returns the list of all portfolios under a specific tenant","description":"This end point will filter all portfolios under a tenant. This will return portfolios of all statuses","operationId":"getPortfolio","parameters":[{"$ref":"#/components/parameters/languageGet"},{"$ref":"#/components/parameters/currencyGet"},{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/pageSize"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/order"},{"$ref":"#/components/parameters/searchTerm"}],"responses":{"200":{"description":"successfully retrieved the list of portfolios under the given tenantId","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/portfolioInformation"}}}}}}}},"/portfolio/{advisorId}":{"get":{"tags":["portfolio"],"summary":"Returns a list of portfolios managed by the given advisor","description":"This end point will filter all the portfolios managed by the given advisor","operationId":"getPortfolioByAdvisor","parameters":[{"$ref":"#/components/parameters/languageGet"},{"$ref":"#/components/parameters/currencyGet"},{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/pageSize"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/order"},{"$ref":"#/components/parameters/searchTerm"},{"name":"advisorId","in":"path","required":true,"style":"simple","example":"ADV_00_11","schema":{"type":"string","description":"Advisor Id to filter by"}}],"responses":{"200":{"description":"Returns a list of portfolios under the given advisor","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/portfolioInformation"}}}}}}}},"/portfolio/{portfolioId}":{"get":{"tags":["portfolio"],"summary":"Returns portfolio matching the portfolioId","description":"This end point will return the matching portfolio","operationId":"getPortfolioById","parameters":[{"$ref":"#/components/parameters/languageGet"},{"$ref":"#/components/parameters/currencyGet"},{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/pageSize"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/order"},{"$ref":"#/components/parameters/searchTerm"},{"name":"portfolioId","in":"path","required":true,"style":"simple","example":"P0000001","schema":{"type":"string","description":"Portfolio Id to filter by"}}],"responses":{"200":{"description":"Returns portfolio matching the portfolioId","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/portfolioInformation"}}}}}},"put":{"tags":["portfolio"],"summary":"Update portfolio matching the portfolioId","description":"This end point will update the portfolio parameters. Only Status is allowed to be updated","operationId":"updatePortfolioById","parameters":[{"$ref":"#/components/parameters/languagePost"},{"$ref":"#/components/parameters/currencyPost"},{"$ref":"#/components/parameters/tenantId"},{"name":"portfolioId","in":"path","required":true,"style":"simple","example":"P0000001","schema":{"type":"string","description":"Portfolio Id to update"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/portfolioInformation"}}}},"responses":{"200":{"description":"Returns updated portfolio matching the portfolioId","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/portfolioInformation"}}}}}}},"/financialInstrument":{"post":{"tags":["financialInstrument"],"summary":"Adds a new financial instrument","description":"This endpoint adds a new financial instrument to the provided fund group","operationId":"addInstrument","parameters":[{"$ref":"#/components/parameters/languagePost"},{"$ref":"#/components/parameters/currencyPost"},{"$ref":"#/components/parameters/tenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/financialInstrument"}}}},"responses":{"200":{"description":"New financial instrument created successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/financialInstrument"}}}}}},"get":{"tags":["financialInstrument"],"summary":"Returns a list of all financial instruments","description":"This endpoint returns all financial instruments for the provided tenant","operationId":"viewAllInstruments","parameters":[{"$ref":"#/components/parameters/languageGet"},{"$ref":"#/components/parameters/currencyGet"},{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/pageSize"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/order"},{"$ref":"#/components/parameters/searchTerm"}],"responses":{"200":{"description":"Successfully returned the list of financial instruments","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/financialInstrument"}}}}}}}},"/financialInstrument/{financialInstrumentId}":{"put":{"tags":["financialInstrument"],"summary":"Edits details of a financial instrument","description":"This endpoint is used to edit details of a financial instrument","operationId":"editInstrument","parameters":[{"$ref":"#/components/parameters/languagePost"},{"$ref":"#/components/parameters/currencyPost"},{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/financialInstrument"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/financialInstrument"}}}},"responses":{"200":{"description":"Finacnial Instrument edited successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/financialInstrument"}}}}}},"delete":{"tags":["financialInstrument"],"summary":"Deletes a financial instrument","description":"This endpoint is used to delete a financial instrument","operationId":"deleteInstrument","parameters":[{"$ref":"#/components/parameters/languagePost"},{"$ref":"#/components/parameters/currencyPost"},{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/financialInstrument"}],"responses":{"200":{"description":"Finacnial Instrument deleted successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/financialInstrument"}}}}}},"get":{"tags":["financialInstrument"],"summary":"Returns details of the given financial instrument","description":"This endpoint details of a given financial instruement for the provided tenant","operationId":"viewInstrument","parameters":[{"$ref":"#/components/parameters/languageGet"},{"$ref":"#/components/parameters/currencyGet"},{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/pageSize"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/order"},{"$ref":"#/components/parameters/searchTerm"},{"$ref":"#/components/parameters/financialInstrument"}],"responses":{"200":{"description":"Successfully returned the list of financial instruments","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/financialInstrument"}}}}}}},"/portfolio-generator":{"post":{"tags":["portfolio-generator"],"summary":"Requests an optimized portfolio with given constraints.","description":"This endpoint requests an optimized portfolio with given constraints. Requestor can specify fund universe and portfolio creation method.","operationId":"portfolioGenerator","parameters":[{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/fundUniverseId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/portfolioGenerationConstraint"}}}},"responses":{"200":{"description":"Optimized portfolio with given constraints created successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/portfolioComponents"}}}}}},"get":{"tags":["portfolio-generator"],"summary":"Requests the efficient frontier.","description":"Requests the efficient frontier. Underlying funds are decided by given tenant and fund universe.","operationId":"getEfficientFrontier","parameters":[{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/fundUniverseId"}],"responses":{"200":{"description":"Optimized portfolio with given constraints created successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/efficientFrontier"}}}}}}},"/portfolio-custom":{"post":{"tags":["portfolio-generator"],"summary":"Requests the performance of given portfolio","description":"This endpoint requests the annual return and volatility of given portfolio.","operationId":"portfolioCustom","parameters":[{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/fundUniverseId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/portfolioComponents"}}}},"responses":{"200":{"description":"Annual return and volatility are calculated successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"return":{"type":"number","description":"Actual annual return of created portfolio","example":0.04684177451357763},"volatility":{"type":"number","description":"Actual annual volatility of created portfolio","example":0.06495485486662983}}}}}}}}}}},"/recalibrate-weights":{"post":{"tags":["portfolio-generator"],"summary":"Recalibrate fund weights of a portfolio","description":"This endpoint recalibrate fund weights of a portfolio so that fund weights sum up to 100% with the original relative weight.","operationId":"recalibrateWeights","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/fundComponent"}}}}},"responses":{"200":{"description":"Fund weights are recalibrated successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/fundComponent"}}}}}}}},"/update-market-data":{"post":{"tags":["portfolio-generator"],"summary":"Update offline market data","description":"This endpoint updates offline market data for other calculation.","operationId":"updateMarketData","parameters":[{"$ref":"#/components/parameters/tenantId"},{"$ref":"#/components/parameters/fundUniverseId"},{"$ref":"#/components/parameters/symbolId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"string","description":"Pickled data"}}}}}},"responses":{"200":{"description":"Market data are updated successfully","headers":{"Tenant-Id":{"$ref":"#/components/headers/tenantId"},"Language-Id":{"$ref":"#/components/headers/language"},"Currency-Id":{"$ref":"#/components/headers/currency"}},"content":{"application/json":{"schema":{"type":"object","properties":{"states":{"type":"string","description":"Status of updating market data","example":"success"}}}}}}}}}},"components":{"schemas":{"financialInstrument":{"required":["financialInstrumentIdentification"],"type":"object","properties":{"financialInstrumentIdentification":{"$ref":"#/components/schemas/financialInstrumentIdentification"},"type":{"type":"string","description":"Type of the instrument","maxLength":35,"minLength":1,"example":"etf","enum":["bond","equity","etf","mutualFund"]},"subType":{"type":"string","description":"Sub Type of the instrument","maxLength":35,"minLength":1,"example":"synthetic","enum":["synthetic","physical"]},"referenceCurrency":{"$ref":"#/components/schemas/currency"},"referenceIndex":{"$ref":"#/components/schemas/financialInstrumentIdentification"},"riskInformation":{"$ref":"#/components/schemas/riskInformation"},"status":{"type":"string","description":"Status of the instrument","example":"Active","enum":["Draft","Approved-Active","Approved-Inactive"]},"dateTimeInformation":{"$ref":"#/components/schemas/dateTimeInformation"},"factSheetInformation":{"$ref":"#/components/schemas/factsheetInformation"},"pricingInformation":{"$ref":"#/components/schemas/pricingInformation"},"groupingInformation":{"$ref":"#/components/schemas/financialInstrumentGroup"},"additionalInformation":{"type":"array","description":"Additional information about the instrument","items":{"type":"object","properties":{"type":{"type":"string","description":"Type of the additional information item","example":"manager","enum":["manager","exchange","marketCap"]},"value":{"type":"string","description":"Value of the additional information item","example":"BlackRock"}}}}}},"financialInstrumentIdentification":{"required":["identification","type"],"type":"object","properties":{"identification":{"maxLength":35,"type":"string","description":"Instrument identification","example":"CH0012005267"},"type":{"type":"string","description":"Type of the instrument identification","example":"isin","enum":["isin","sedol","cusip","ric","tickerSymbol","bloomberg","cta","quick","wertpapier","dutch","valoren","sicovam","belgian","common","otherProprietaryIdentification"]},"name":{"maxLength":70,"type":"string","description":"Name of the financial instrument in free format text.","example":"Novartis AG"}}},"factsheetInformation":{"type":"object","properties":{"type":{"type":"string","description":"Type of the factsheet source","example":"webLink","enum":["webLink","file"]},"value":{"type":"string","description":"Value of the factsheet source","example":"www.factsheet.com/factsheet"}}},"pricingInformation":{"type":"array","description":"Pricing Information of the instrument","items":{"type":"object","properties":{"value":{"type":"number","description":"Value of the given price","example":100.2},"currency":{"$ref":"#/components/schemas/currency"},"type":{"type":"string","description":"Type of the pricing information","example":"closingPrice","enum":["closingPrice","openingPrice","bidPrice","askPrice"]},"dateTime":{"$ref":"#/components/schemas/dateTime"}}}},"allocationInformation":{"type":"object","properties":{"type":{"type":"string","description":"Type of the allocation","example":"percentage","enum":["percentage","amount","numberOfUnits"]},"allocations":{"type":"array","items":{"type":"object","properties":{"financialInstrumentIdentification":{"$ref":"#/components/schemas/financialInstrumentIdentification"},"allocation":{"type":"number","description":"The allocation amount in the instrument set. Can be given in percentage, amount or number of units.","example":1}}}}}},"commissionInformation":{"type":"array","description":"Information regarding the commission for the advisor","items":{"type":"object","required":["type","value","valueType"],"properties":{"type":{"type":"string","example":"actualCommission","description":"type of the commission","enum":["actualCommission","expectedCommission"]},"value":{"type":"number","example":0.01,"description":"value of the commussion"},"valueType":{"type":"string","example":"percentage","description":"Type of the value of the commission","enum":["level","percentage"]}}}},"investorGroupInformation":{"type":"array","description":"Information regarding the group of investors related to the asset","items":{"type":"object","properties":{"type":{"type":"string","example":"numberOfInvestors","description":"type of the investor group Property","enum":["numberOfInvestors","averageInvestorAge"]},"value":{"type":"number","example":12,"description":"value of the property"}}}},"portfolioIdentification":{"required":["identification","type"],"type":"object","properties":{"identification":{"maxLength":35,"minLength":1,"type":"string","description":"Unique and unambiguous identification for the portfolio between the portfolio owner and the portfolio servicer","example":"P0000000001"},"type":{"type":"string","description":"Type of the portfolio identification","example":"otherProprietaryIdentification","enum":["isin","sedol","cusip","ric","tickerSymbol","bloomberg","cta","quick","wertpapier","dutch","valoren","sicovam","belgian","common","otherProprietaryIdentification"]},"name":{"maxLength":70,"type":"string","description":"Name of the portfolio in free format text.","example":"Global Growth Portfolio"}}},"portfolioInformation":{"required":["identification","referenceCurrency","expectedRisk","instrumentAllocations","advisorIdentification","expectedCommission"],"type":"object","properties":{"portfolioIdentification":{"$ref":"#/components/schemas/portfolioIdentification"},"referenceCurrency":{"$ref":"#/components/schemas/currency"},"riskInformation":{"$ref":"#/components/schemas/riskInformation"},"instrumentAllocations":{"$ref":"#/components/schemas/allocationInformation"},"advisorIndentification":{"$ref":"#/components/schemas/advisorIndentification"},"commissionInformation":{"$ref":"#/components/schemas/commissionInformation"},"status":{"type":"string","description":"Status of the portfolio","example":"Active","enum":["Draft","Pending","Approved-Active","Approved-Inactive","Canceled"]},"dateTimeInformation":{"$ref":"#/components/schemas/dateTimeInformation"},"investorGroupInformation":{"$ref":"#/components/schemas/investorGroupInformation"},"assetsUnderManagement":{"type":"number","description":"Assets Under Management value of the portfolio","example":1500000},"externalReference":{"maxLength":35,"type":"string","description":"External portfolio ID","example":"123-456-787"}}},"currency":{"pattern":"[A-Z]{3}","type":"string","description":"ISO 4217 code","example":"SGD"},"riskInformation":{"type":"array","description":"Information regarding risk","items":{"type":"object","required":["type","value","valueType"],"properties":{"type":{"type":"string","example":"actualRisk","description":"Type of the risk","enum":["expectedRisk","actualRisk"]},"value":{"type":"number","example":3,"description":"Value of the risk"},"valueType":{"type":"string","example":"level","description":"Type of the value of the risk","enum":["level","percentage"]}}}},"advisorIndentification":{"required":["identification","name"],"type":"object","properties":{"identification":{"type":"string","description":"Unique and unambiguous identification for the advisor","maxLength":35,"minLength":1,"example":"ADV_111_01"},"name":{"type":"string","description":"First name of the advisor","example":"John","maxLength":35}}},"dateTimeInformation":{"type":"array","items":{"required":["value","type"],"type":"object","properties":{"value":{"$ref":"#/components/schemas/dateTime"},"type":{"type":"string","description":"Type of the dateTime","example":"effectiveStartDate","enum":["effectiveStartDate","effectiveEndDate","lastUpdateDateTime"]}}}},"dateTime":{"type":"string","description":"Date and time(UTC Timestamp). In accordance with ISO 8601.","format":"date-time"},"commonErrorResponse":{"title":"Common Error Response","type":"object","properties":{"type":{"$ref":"#/components/schemas/commonErrorType"},"title":{"type":"string","example":"This is the general problem description"},"detail":{"type":"string","example":"Detailed problem description with respect to the current request"},"instance":{"type":"string","example":"path/to/corresponding/resource"}}},"commonErrorType":{"type":"string","description":"Error types for commonErrorResponse","example":"invalidPayload","enum":["invalidPayload","malformedPayload","invalidToken","expiredToken","insufficientPrivileges","noAccessToResource","resourceDoesNotExist","resourceNotReady","resourceTooLarge","wrongMethod","operationNotAllowed","technicalError","notImplemented","serviceUnavailable"]},"financialInstrumentGroup":{"type":"object","description":"Grouping information related to the financial instrument","properties":{"identification":{"type":"string","description":"Unique and unambiguous identification of the group","maxLength":35,"minLength":1,"example":"FG-0001"},"name":{"type":"string","description":"Display name of the fund group","maxLength":35,"minLength":1,"example":"Sustainable Energy"}}},"portfolioGenerationConstraint":{"type":"object","description":"Constraint of generating optimized portfolio","properties":{"method":{"type":"string","description":"Optimization method of generating portfolio","maxLength":35,"minLength":1,"example":"efficient_risk","enum":["efficient_risk","efficient_return","min_volatility","max_sharpe_ratio"]},"target_return":{"type":"number","description":"Target annual return of intended portfolio","example":0.06},"target_volatility":{"type":"number","description":"Target annual volatility of intended portfolio","example":0.09}}},"portfolioComponents":{"type":"object","description":"Components of a portfolio generated by Portfolio Generator","properties":{"result":{"type":"object","properties":{"weights":{"type":"array","items":{"$ref":"#/components/schemas/fundComponent"}},"actual_return":{"type":"number","description":"Actual annual return of created portfolio","example":0.04684177451357763},"actual_volatility":{"type":"number","description":"Actual annual volatility of created portfolio","example":0.06495485486662983}}}}},"fundComponent":{"type":"object","description":"Fund component in a portfolio generated by Portfolio Generator","properties":{"fund_id":{"type":"string","description":"Unique ID of the fund","example":"F000000L2X"},"fund_weight":{"type":"number","description":"Weight of the fund in given portfolio","example":0.040506664356378896}}},"efficientFrontier":{"type":"object","description":"Efficient frontier of given fund universe","properties":{"result":{"type":"object","properties":{"returns_range":{"type":"array","items":{"type":"number","example":0.03023682}},"efficient_sigma":{"type":"array","items":{"type":"number","example":0.03023682}}}}}}},"headers":{"tenantId":{"description":"Unique ID for the tenant","required":true,"style":"simple","schema":{"type":"string"}},"currency":{"required":true,"style":"simple","description":"ISO 4217 code of the currency in which values are returned in the response","example":"SGD","schema":{"type":"string"}},"language":{"description":"ISO 639-1 code for the language in which values are returned in the response","required":true,"style":"simple","example":"en","schema":{"type":"string"}}},"parameters":{"financialInstrument":{"name":"financialInstrumentId","in":"path","required":true,"style":"simple","example":"Ins_000001","schema":{"type":"string","description":"Id of the financial instrument"}},"currencyPost":{"name":"currencyId","in":"query","required":true,"style":"form","description":"ISO 4217 code of the currency in which values are posted in the request","example":"SGD","schema":{"type":"string"}},"languagePost":{"name":"languageId","in":"query","description":"ISO 639-1 code for the language in which names are posted in the request","required":true,"style":"form","example":"en","schema":{"type":"string"}},"currencyGet":{"name":"currencyId","in":"query","required":true,"style":"form","description":"ISO 4217 code of the currency in which values are expected in the response","example":"SGD","schema":{"type":"string"}},"languageGet":{"name":"languageId","in":"query","description":"ISO 639-1 code for the language in which names are expected in the response","required":true,"style":"form","example":"en","schema":{"type":"string"}},"tenantId":{"name":"tenantId","description":"Unique ID for the tenant","in":"header","required":true,"style":"simple","schema":{"type":"string"}},"pageSize":{"name":"pageSize","in":"query","description":"Integer value used to determine size of a page","required":false,"style":"form","example":100,"schema":{"type":"integer"}},"pageNumber":{"name":"pageNumber","in":"query","description":"Integer value used to determine the page number","required":false,"style":"form","example":1,"schema":{"type":"integer"}},"order":{"name":"order","in":"query","description":"String value used determine the keyword from which the results should be sorted","required":false,"style":"form","example":"Fund Name","schema":{"type":"string"}},"searchTerm":{"name":"searchTerm","in":"query","description":"String value used to filter results using a specific search term","required":false,"style":"form","example":"Global Growth","schema":{"type":"string"}},"fundUniverseId":{"name":"fundUniverseId","description":"Unique ID for the fund universe","in":"header","required":true,"style":"simple","schema":{"type":"string"}},"symbolId":{"name":"symbolId","in":"header","required":true,"style":"simple","schema":{"type":"string"}}}}}